Skip to main content
GET
/
v1
/
analyses
List analyses
curl --request GET \
  --url https://api.passu.ai/v1/analyses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "analysis_type": "EARNINGS",
      "scope": {
        "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scope_type": "EVENT"
      },
      "updated_at": "2023-11-07T05:31:56Z",
      "sections": [
        {
          "section_type": "OPERATIONAL_SUMMARY",
          "sentences": [
            {
              "text": "<string>",
              "quotes": [
                {
                  "quote_type": "TEXT",
                  "text": "<string>",
                  "author": "<string>",
                  "title": "<string>",
                  "table_name": "<string>",
                  "row_names": [
                    "<string>"
                  ]
                }
              ]
            }
          ]
        }
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string | null

Opaque cursor for pagination.

limit
integer
default:50

Maximum number of records to return.

Required range: 1 <= x <= 200
event_id
string<uuid> | null

Filter analyses by event id.

company_id
string<uuid> | null

Filter analyses by company id.

sector_id
string<uuid> | null

Filter analyses by sector id.

analysis_type
enum<string> | null

Filter analyses by type.

Available options:
EARNINGS,
CONFERENCE,
NEWS,
COMPANY_QUARTERLY,
SECTOR_QUARTERLY

Response

Successful Response

data
Analysis · object[]
required
has_more
boolean
required
next_cursor
string | null